<?php

class Users_model extends CI_Model {
	
	public function __construct() {
		parent::__construct();
	}

	function login($usuario, $password) {
		$this->db->where('correo', $usuario);
		$this->db->limit(1);
		$consulta = $this->db->get('usuario');
		return $consulta->row();
	}

	function lista() {
		$this->db->order_by('username');
		$consulta = $this->db->get('users');
		return $consulta->result();
	}

	function search($usuario) {
		$this->db->select('count(*) as totalusers');
		$this->db->where('username', $usuario);
		$consulta = $this->db->get('users');
		return $consulta->row();
	}


	function Insertar ($data) {
		$this->db->insert('users', $data);
		return;
	}


	function profile($username) {
	
		$this->db->where('username', $username);
		$consulta = $this->db->get('users');
		return $consulta->row();
	}

	function ActualizarProfile ($data, $username) {
		$this->db->where('username', $username);
		return $this->db->update('users', $data);
	}

	function detalle($_id) {
	
		$this->db->where('id', $_id);
		$consulta = $this->db->get('users');
		return $consulta->row();
	}

	function Editar ($data, $_id) {
		$this->db->where('id', $_id);
		return $this->db->update('users', $data);
	}

	function Activar($_id) {
		$data = array(
			'active' => 1
			);
		$this->db->where('id', $_id);
		return $this->db->update('users', $data);
	}

	function Desactivar($_id) {
		$data = array(
			'active' => 0
			);
		$this->db->where('id', $_id);
		return $this->db->update('users', $data);
	}

	function ActualizarClave ($data, $username) {
		$this->db->where('username', $username);
		return $this->db->update('users', $data);
	}

}